(function (global, factory) {
  if (typeof define === "function" && define.amd) {
    define(["exports", "./AssignmentExpression", "./CallExpression", "./Expression", "./ExpressionStatement", "./MemberExpression"], factory);
  } else if (typeof exports !== "undefined") {
    factory(exports, require("./AssignmentExpression"), require("./CallExpression"), require("./Expression"), require("./ExpressionStatement"), require("./MemberExpression"));
  } else {
    var mod = {
      exports: {}
    };
    factory(mod.exports, global.AssignmentExpression, global.CallExpression, global.Expression, global.ExpressionStatement, global.MemberExpression);
    global.index = mod.exports;
  }
})(typeof globalThis !== "undefined" ? globalThis : typeof self !== "undefined" ? self : this, function (_exports, _AssignmentExpression, _CallExpression, _Expression, _ExpressionStatement, _MemberExpression) {
  "use strict";

  var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

  Object.defineProperty(_exports, "__esModule", {
    value: true
  });
  var _exportNames = {
    AssignmentExpression: true,
    CallExpression: true,
    Expression: true,
    ExpressionStatement: true,
    MemberExpression: true
  };
  Object.defineProperty(_exports, "AssignmentExpression", {
    enumerable: true,
    get: function get() {
      return _AssignmentExpression.default;
    }
  });
  Object.defineProperty(_exports, "CallExpression", {
    enumerable: true,
    get: function get() {
      return _CallExpression.default;
    }
  });
  Object.defineProperty(_exports, "Expression", {
    enumerable: true,
    get: function get() {
      return _Expression.default;
    }
  });
  Object.defineProperty(_exports, "ExpressionStatement", {
    enumerable: true,
    get: function get() {
      return _ExpressionStatement.default;
    }
  });
  Object.defineProperty(_exports, "MemberExpression", {
    enumerable: true,
    get: function get() {
      return _MemberExpression.default;
    }
  });
  _AssignmentExpression = _interopRequireWildcard(_AssignmentExpression);
  Object.keys(_AssignmentExpression).forEach(function (key) {
    if (key === "default" || key === "__esModule") return;
    if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
    if (key in _exports && _exports[key] === _AssignmentExpression[key]) return;
    Object.defineProperty(_exports, key, {
      enumerable: true,
      get: function get() {
        return _AssignmentExpression[key];
      }
    });
  });
  _CallExpression = _interopRequireWildcard(_CallExpression);
  Object.keys(_CallExpression).forEach(function (key) {
    if (key === "default" || key === "__esModule") return;
    if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
    if (key in _exports && _exports[key] === _CallExpression[key]) return;
    Object.defineProperty(_exports, key, {
      enumerable: true,
      get: function get() {
        return _CallExpression[key];
      }
    });
  });
  _Expression = _interopRequireWildcard(_Expression);
  Object.keys(_Expression).forEach(function (key) {
    if (key === "default" || key === "__esModule") return;
    if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
    if (key in _exports && _exports[key] === _Expression[key]) return;
    Object.defineProperty(_exports, key, {
      enumerable: true,
      get: function get() {
        return _Expression[key];
      }
    });
  });
  _ExpressionStatement = _interopRequireWildcard(_ExpressionStatement);
  Object.keys(_ExpressionStatement).forEach(function (key) {
    if (key === "default" || key === "__esModule") return;
    if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
    if (key in _exports && _exports[key] === _ExpressionStatement[key]) return;
    Object.defineProperty(_exports, key, {
      enumerable: true,
      get: function get() {
        return _ExpressionStatement[key];
      }
    });
  });
  _MemberExpression = _interopRequireWildcard(_MemberExpression);
  Object.keys(_MemberExpression).forEach(function (key) {
    if (key === "default" || key === "__esModule") return;
    if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
    if (key in _exports && _exports[key] === _MemberExpression[key]) return;
    Object.defineProperty(_exports, key, {
      enumerable: true,
      get: function get() {
        return _MemberExpression[key];
      }
    });
  });
});
//# sourceMappingURL=index.js.map