(function (global, factory) {
  if (typeof define === "function" && define.amd) {
    define(["exports", "./BlockStatement", "./Code", "./Identifier", "./Smart", "./classes", "./expressions", "./functions", "./interfaces", "./jsx", "./modules", "./react", "./types", "./variables"], factory);
  } else if (typeof exports !== "undefined") {
    factory(exports, require("./BlockStatement"), require("./Code"), require("./Identifier"), require("./Smart"), require("./classes"), require("./expressions"), require("./functions"), require("./interfaces"), require("./jsx"), require("./modules"), require("./react"), require("./types"), require("./variables"));
  } else {
    var mod = {
      exports: {}
    };
    factory(mod.exports, global.BlockStatement, global.Code, global.Identifier, global.Smart, global.classes, global.expressions, global.functions, global.interfaces, global.jsx, global.modules, global.react, global.types, global.variables);
    global.index = mod.exports;
  }
})(typeof globalThis !== "undefined" ? globalThis : typeof self !== "undefined" ? self : this, function (_exports, _BlockStatement, _Code, _Identifier, _Smart, _classes, _expressions, _functions, _interfaces, _jsx, _modules, _react, _types, _variables) {
  "use strict";

  var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

  Object.defineProperty(_exports, "__esModule", {
    value: true
  });
  var _exportNames = {
    BlockStatement: true,
    Code: true,
    Identifier: true,
    Smart: true
  };
  Object.defineProperty(_exports, "BlockStatement", {
    enumerable: true,
    get: function get() {
      return _BlockStatement.default;
    }
  });
  Object.defineProperty(_exports, "Code", {
    enumerable: true,
    get: function get() {
      return _Code.default;
    }
  });
  Object.defineProperty(_exports, "Identifier", {
    enumerable: true,
    get: function get() {
      return _Identifier.default;
    }
  });
  Object.defineProperty(_exports, "Smart", {
    enumerable: true,
    get: function get() {
      return _Smart.default;
    }
  });
  _BlockStatement = _interopRequireWildcard(_BlockStatement);
  Object.keys(_BlockStatement).forEach(function (key) {
    if (key === "default" || key === "__esModule") return;
    if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
    if (key in _exports && _exports[key] === _BlockStatement[key]) return;
    Object.defineProperty(_exports, key, {
      enumerable: true,
      get: function get() {
        return _BlockStatement[key];
      }
    });
  });
  _Code = _interopRequireWildcard(_Code);
  Object.keys(_Code).forEach(function (key) {
    if (key === "default" || key === "__esModule") return;
    if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
    if (key in _exports && _exports[key] === _Code[key]) return;
    Object.defineProperty(_exports, key, {
      enumerable: true,
      get: function get() {
        return _Code[key];
      }
    });
  });
  _Identifier = _interopRequireWildcard(_Identifier);
  Object.keys(_Identifier).forEach(function (key) {
    if (key === "default" || key === "__esModule") return;
    if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
    if (key in _exports && _exports[key] === _Identifier[key]) return;
    Object.defineProperty(_exports, key, {
      enumerable: true,
      get: function get() {
        return _Identifier[key];
      }
    });
  });
  _Smart = _interopRequireWildcard(_Smart);
  Object.keys(_Smart).forEach(function (key) {
    if (key === "default" || key === "__esModule") return;
    if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
    if (key in _exports && _exports[key] === _Smart[key]) return;
    Object.defineProperty(_exports, key, {
      enumerable: true,
      get: function get() {
        return _Smart[key];
      }
    });
  });
  Object.keys(_classes).forEach(function (key) {
    if (key === "default" || key === "__esModule") return;
    if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
    if (key in _exports && _exports[key] === _classes[key]) return;
    Object.defineProperty(_exports, key, {
      enumerable: true,
      get: function get() {
        return _classes[key];
      }
    });
  });
  Object.keys(_expressions).forEach(function (key) {
    if (key === "default" || key === "__esModule") return;
    if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
    if (key in _exports && _exports[key] === _expressions[key]) return;
    Object.defineProperty(_exports, key, {
      enumerable: true,
      get: function get() {
        return _expressions[key];
      }
    });
  });
  Object.keys(_functions).forEach(function (key) {
    if (key === "default" || key === "__esModule") return;
    if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
    if (key in _exports && _exports[key] === _functions[key]) return;
    Object.defineProperty(_exports, key, {
      enumerable: true,
      get: function get() {
        return _functions[key];
      }
    });
  });
  Object.keys(_interfaces).forEach(function (key) {
    if (key === "default" || key === "__esModule") return;
    if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
    if (key in _exports && _exports[key] === _interfaces[key]) return;
    Object.defineProperty(_exports, key, {
      enumerable: true,
      get: function get() {
        return _interfaces[key];
      }
    });
  });
  Object.keys(_jsx).forEach(function (key) {
    if (key === "default" || key === "__esModule") return;
    if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
    if (key in _exports && _exports[key] === _jsx[key]) return;
    Object.defineProperty(_exports, key, {
      enumerable: true,
      get: function get() {
        return _jsx[key];
      }
    });
  });
  Object.keys(_modules).forEach(function (key) {
    if (key === "default" || key === "__esModule") return;
    if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
    if (key in _exports && _exports[key] === _modules[key]) return;
    Object.defineProperty(_exports, key, {
      enumerable: true,
      get: function get() {
        return _modules[key];
      }
    });
  });
  Object.keys(_react).forEach(function (key) {
    if (key === "default" || key === "__esModule") return;
    if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
    if (key in _exports && _exports[key] === _react[key]) return;
    Object.defineProperty(_exports, key, {
      enumerable: true,
      get: function get() {
        return _react[key];
      }
    });
  });
  Object.keys(_types).forEach(function (key) {
    if (key === "default" || key === "__esModule") return;
    if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
    if (key in _exports && _exports[key] === _types[key]) return;
    Object.defineProperty(_exports, key, {
      enumerable: true,
      get: function get() {
        return _types[key];
      }
    });
  });
  Object.keys(_variables).forEach(function (key) {
    if (key === "default" || key === "__esModule") return;
    if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
    if (key in _exports && _exports[key] === _variables[key]) return;
    Object.defineProperty(_exports, key, {
      enumerable: true,
      get: function get() {
        return _variables[key];
      }
    });
  });
});
//# sourceMappingURL=index.js.map