(function (global, factory) {
  if (typeof define === "function" && define.amd) {
    define(["exports", "./Interface", "./InterfaceDeclaration", "./MethodSignature", "./PropertySignature"], factory);
  } else if (typeof exports !== "undefined") {
    factory(exports, require("./Interface"), require("./InterfaceDeclaration"), require("./MethodSignature"), require("./PropertySignature"));
  } else {
    var mod = {
      exports: {}
    };
    factory(mod.exports, global.Interface, global.InterfaceDeclaration, global.MethodSignature, global.PropertySignature);
    global.index = mod.exports;
  }
})(typeof globalThis !== "undefined" ? globalThis : typeof self !== "undefined" ? self : this, function (_exports, _Interface, _InterfaceDeclaration, _MethodSignature, _PropertySignature) {
  "use strict";

  var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

  Object.defineProperty(_exports, "__esModule", {
    value: true
  });
  var _exportNames = {
    Interface: true,
    InterfaceDeclaration: true,
    MethodSignature: true,
    PropertySignature: true
  };
  Object.defineProperty(_exports, "Interface", {
    enumerable: true,
    get: function get() {
      return _Interface.default;
    }
  });
  Object.defineProperty(_exports, "InterfaceDeclaration", {
    enumerable: true,
    get: function get() {
      return _InterfaceDeclaration.default;
    }
  });
  Object.defineProperty(_exports, "MethodSignature", {
    enumerable: true,
    get: function get() {
      return _MethodSignature.default;
    }
  });
  Object.defineProperty(_exports, "PropertySignature", {
    enumerable: true,
    get: function get() {
      return _PropertySignature.default;
    }
  });
  _Interface = _interopRequireWildcard(_Interface);
  Object.keys(_Interface).forEach(function (key) {
    if (key === "default" || key === "__esModule") return;
    if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
    if (key in _exports && _exports[key] === _Interface[key]) return;
    Object.defineProperty(_exports, key, {
      enumerable: true,
      get: function get() {
        return _Interface[key];
      }
    });
  });
  _InterfaceDeclaration = _interopRequireWildcard(_InterfaceDeclaration);
  Object.keys(_InterfaceDeclaration).forEach(function (key) {
    if (key === "default" || key === "__esModule") return;
    if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
    if (key in _exports && _exports[key] === _InterfaceDeclaration[key]) return;
    Object.defineProperty(_exports, key, {
      enumerable: true,
      get: function get() {
        return _InterfaceDeclaration[key];
      }
    });
  });
  _MethodSignature = _interopRequireWildcard(_MethodSignature);
  Object.keys(_MethodSignature).forEach(function (key) {
    if (key === "default" || key === "__esModule") return;
    if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
    if (key in _exports && _exports[key] === _MethodSignature[key]) return;
    Object.defineProperty(_exports, key, {
      enumerable: true,
      get: function get() {
        return _MethodSignature[key];
      }
    });
  });
  _PropertySignature = _interopRequireWildcard(_PropertySignature);
  Object.keys(_PropertySignature).forEach(function (key) {
    if (key === "default" || key === "__esModule") return;
    if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
    if (key in _exports && _exports[key] === _PropertySignature[key]) return;
    Object.defineProperty(_exports, key, {
      enumerable: true,
      get: function get() {
        return _PropertySignature[key];
      }
    });
  });
});
//# sourceMappingURL=index.js.map