require("core-js/modules/es.function.name.js");

(function (global, factory) {
  if (typeof define === "function" && define.amd) {
    define(["exports", "@babel/runtime/helpers/newArrowCheck", "react", "@react-hook/merged-ref", "../../../util", "../VariableDeclarator", "../VariableDeclaration"], factory);
  } else if (typeof exports !== "undefined") {
    factory(exports, require("@babel/runtime/helpers/newArrowCheck"), require("react"), require("@react-hook/merged-ref"), require("../../../util"), require("../VariableDeclarator"), require("../VariableDeclaration"));
  } else {
    var mod = {
      exports: {}
    };
    factory(mod.exports, global.newArrowCheck, global.react, global.mergedRef, global.util, global.VariableDeclarator, global.VariableDeclaration);
    global.index = mod.exports;
  }
})(typeof globalThis !== "undefined" ? globalThis : typeof self !== "undefined" ? self : this, function (_exports, _newArrowCheck2, _react, _mergedRef, _util, _VariableDeclarator, _VariableDeclaration) {
  "use strict";

  var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

  var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

  Object.defineProperty(_exports, "__esModule", {
    value: true
  });
  _exports.default = _exports.VarKind = void 0;
  _newArrowCheck2 = _interopRequireDefault(_newArrowCheck2);
  _react = _interopRequireWildcard(_react);
  _mergedRef = _interopRequireDefault(_mergedRef);
  _VariableDeclarator = _interopRequireDefault(_VariableDeclarator);
  _VariableDeclaration = _interopRequireWildcard(_VariableDeclaration);

  var _this = void 0;

  var Var = /*#__PURE__*/(0, _react.forwardRef)(function (props, forwardedRef) {
    (0, _newArrowCheck2.default)(this, _this);
    var children = props.children,
        debug = props.debug,
        kind = props.kind,
        typeAnnotation = props.typeAnnotation,
        name = props.name;
    var mergedRef = (0, _mergedRef.default)(forwardedRef, (0, _util.debugRef)(debug));
    return /*#__PURE__*/_react.default.createElement(_VariableDeclaration.default, {
      kind: kind,
      ref: mergedRef
    }, /*#__PURE__*/_react.default.createElement(_VariableDeclarator.default, {
      id: name,
      typeAnnotation: typeAnnotation
    }, children));
  }.bind(void 0));
  var VarKind;
  _exports.VarKind = VarKind;

  (function (VarKind) {
    VarKind[VarKind["Const"] = _VariableDeclaration.VariableDeclarationKind.Const] = "Const";
    VarKind[VarKind["Let"] = _VariableDeclaration.VariableDeclarationKind.Let] = "Let";
    VarKind[VarKind["Var"] = _VariableDeclaration.VariableDeclarationKind.Var] = "Var";
  })(VarKind || (_exports.VarKind = VarKind = {}));

  Var.defaultProps = {
    debug: false,
    kind: VarKind.Var
  };
  var _default = Var;
  _exports.default = _default;
});
//# sourceMappingURL=index.js.map