declare const _exports: {
    name: string;
    version: string;
    description: string;
    sideEffects: boolean;
    keywords: string[];
    homepage: string;
    bugs: {
        url: string;
        email: string;
    };
    license: string;
    author: {
        name: string;
        email: string;
        url: string;
    };
    files: string[];
    main: string;
    module: string;
    repository: {
        type: string;
        url: string;
    };
    scripts: {
        build: string;
        clean: string;
        coverage: string;
        format: string;
        inc: string;
        lint: string;
        make: string;
        prepare: string;
        purge: string;
        report: string;
        spellcheck: string;
        start: string;
        test: string;
        "test:ui": string;
        "test:watch": string;
    };
    dependencies: {
        "@babel/generator": string;
        "@babel/parser": string;
        "@babel/runtime": string;
        "@babel/template": string;
        "@babel/types": string;
        "@react-hook/merged-ref": string;
        "core-js": string;
        "lodash.get": string;
        "lodash.merge": string;
        "lodash.set": string;
        prettier: string;
        "prop-types": string;
        react: string;
        "react-reconciler": string;
    };
    devDependencies: {
        "@babel/cli": string;
        "@babel/core": string;
        "@babel/node": string;
        "@babel/plugin-proposal-class-properties": string;
        "@babel/plugin-proposal-decorators": string;
        "@babel/plugin-proposal-optional-chaining": string;
        "@babel/plugin-transform-runtime": string;
        "@babel/preset-env": string;
        "@babel/preset-react": string;
        "@babel/preset-typescript": string;
        "@types/babel__parser": string;
        "@types/jest": string;
        "@types/lodash.get": string;
        "@types/lodash.merge": string;
        "@types/lodash.set": string;
        "@types/prop-types": string;
        "@types/react": string;
        "@types/react-reconciler": string;
        "@typescript-eslint/eslint-plugin": string;
        "@typescript-eslint/parser": string;
        "babel-loader": string;
        "babel-plugin-inline-import": string;
        "babel-plugin-macros": string;
        "babel-plugin-module-resolver": string;
        "babel-plugin-transform-typescript-metadata": string;
        "babel-plugin-typescript-to-proptypes": string;
        cloc: string;
        cspell: string;
        eslint: string;
        "eslint-config-airbnb-typescript": string;
        "eslint-config-prettier": string;
        "eslint-plugin-import": string;
        "eslint-plugin-jsx-a11y": string;
        "eslint-plugin-react": string;
        "eslint-plugin-spellcheck": string;
        jest: string;
        "jest-sonar-reporter": string;
        "lockfile-lint": string;
        majestic: string;
        typescript: string;
        webpack: string;
        "webpack-cli": string;
    };
    engines: {
        node: string;
    };
    eslintIgnore: string[];
    jest: {
        testRegex: string;
        testEnvironment: string;
        verbose: boolean;
        testPathIgnorePatterns: string[];
        setupFilesAfterEnv: string[];
    };
    jestSonar: {
        reportPath: string;
        reportFile: string;
        indent: number;
    };
    prettier: {
        singleQuote: boolean;
        trailingComma: string;
    };
};
export = _exports;
