require("core-js/modules/es.array.filter.js");

require("core-js/modules/es.array.flat.js");

require("core-js/modules/es.array.join.js");

require("core-js/modules/es.array.slice.js");

require("core-js/modules/es.array.splice.js");

require("core-js/modules/es.array.unscopables.flat.js");

require("core-js/modules/es.number.constructor.js");

require("core-js/modules/es.number.is-nan.js");

require("core-js/modules/es.object.to-string.js");

require("core-js/modules/es.regexp.exec.js");

require("core-js/modules/es.regexp.to-string.js");

require("core-js/modules/es.string.split.js");

(function (global, factory) {
  if (typeof define === "function" && define.amd) {
    define(["exports", "@babel/runtime/helpers/newArrowCheck", "lodash.get"], factory);
  } else if (typeof exports !== "undefined") {
    factory(exports, require("@babel/runtime/helpers/newArrowCheck"), require("lodash.get"));
  } else {
    var mod = {
      exports: {}
    };
    factory(mod.exports, global.newArrowCheck, global.lodash);
    global.util = mod.exports;
  }
})(typeof globalThis !== "undefined" ? globalThis : typeof self !== "undefined" ? self : this, function (_exports, _newArrowCheck2, _lodash) {
  "use strict";

  var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

  Object.defineProperty(_exports, "__esModule", {
    value: true
  });
  _exports.flattenPath = flattenPath;
  _exports.deletePath = deletePath;
  _exports.debugRef = debugRef;
  _exports.dev = void 0;
  _newArrowCheck2 = _interopRequireDefault(_newArrowCheck2);
  _lodash = _interopRequireDefault(_lodash);
  var logger = console;
  var _process = process,
      env = _process.env;

  function flattenPath(path) {
    var _this = this;

    if (typeof path !== 'number' && !path) return '';
    if (!Array.isArray(path)) return path.toString();
    return path.flat().filter(function (s) {
      (0, _newArrowCheck2.default)(this, _this);
      return s.toString().length;
    }.bind(this)).join('.');
  }

  function deletePath(value, path) {
    if (typeof value === 'undefined') return false;
    var pathArr = flattenPath(path).split('.');
    var key = pathArr.slice(pathArr.length - 1)[0];
    key = Number.isNaN(Number(key)) ? key : Number(key);
    var parentDeletePath = pathArr.slice(0, pathArr.length - 1).join('.');
    var parent = parentDeletePath ? (0, _lodash.default)(value, parentDeletePath) : value;
    if (typeof parent === 'undefined') return false;

    if (Array.isArray(parent) && typeof key === 'number') {
      var _result = parent.length > key;

      parent.splice(key, 1);
      return _result;
    }

    var result = (key in parent);
    delete parent[key];
    return result;
  }

  function isDev() {
    if (typeof env.NODE_ENV === 'undefined') {
      return typeof env.__DEV__ === 'undefined' ? false : env.__DEV__.toLowerCase() !== 'false';
    }

    return env.NODE_ENV.toLowerCase() !== 'prod' || env.NODE_ENV.toLowerCase() !== 'production';
  }

  function debugRef() {
    var _this2 = this;

    var debug = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : true;
    if (!debug) return function () {
      (0, _newArrowCheck2.default)(this, _this2);
      return undefined;
    }.bind(this);
    return function (ref) {
      (0, _newArrowCheck2.default)(this, _this2);
      return logger.debug(JSON.stringify(ref.node, null, 2));
    }.bind(this);
  }

  var dev = isDev();
  _exports.dev = dev;
});
//# sourceMappingURL=util.js.map